/* 
 * File:   Parser.cpp
 * Author: Kolja Junginger
 * 
 * Created on February 20, 2020, 2:17 PM
 * 
 * For more details on the algorithms see 
 * "Certified Approximation Algorithms for the Fermat Point" by 
 * Kolja Junginger, Ioannis Mantas, Evanthia Papadopoulou, Martin Suderland, and Chee Yap:
 * http://www1.pub.informatik.uni-wuerzburg.de/eurocg2020/data/uploads/papers/eurocg20_paper_72.pdf
 */

#include "Parser.h"
#include <fstream>
#include <iostream>
#include <vector>


using namespace std;

Parser::Parser() {
}

Parser::Parser(const Parser& orig) {
}

Parser::~Parser() {
}

void Parser::PrintFoci(std::vector<Point> points){
    cout << "The foci are: " << endl;
    cout << "-----------------" << endl;
    for (int i = 0; i < points.size(); i++) {
        cout << points[i];
    }
    cout << "-----------------" << endl;
}

vector<Point> Parser::ParsePointformat(string filename){
    
    // The function ParsePointformat parses a file, which has already Point class formatting:
    
    vector<Point> foci;
    ifstream ifst{ filename };
    if (!ifst) {
        cout<<"ERROR: Can't open input file: "<< filename<<endl;
        throw runtime_error("Can't open input file.");
    }
    for (Point p; ifst >> p;) {
        foci.push_back(p);
    }
    
    return foci;
}

void Parser::WritePointstofile(string filename,vector<Point> points){
    
    //    For writing a vector<Point> into a file, which has the Point class formatting: (double a, double b)  (per line)
    
    ofstream ofst {filename};
    if (!ofst) {
        cout<<"ERROR: Can't open input file: "<< filename<<endl;
        throw runtime_error("Can't open output file ");
    }
    
    for (int j = 0; j < points.size(); j++){
        ofst<<points[j];
    }
}    
