/* 
 * File:   Parser.h
 * Author: Kolja Junginger
 *
 * Created on February 20, 2020, 2:17 PM
 * 
 * For more details on the algorithms see 
 * "Certified Approximation Algorithms for the Fermat Point" by 
 * Kolja Junginger, Ioannis Mantas, Evanthia Papadopoulou, Martin Suderland, and Chee Yap:
 * http://www1.pub.informatik.uni-wuerzburg.de/eurocg2020/data/uploads/papers/eurocg20_paper_72.pdf
 */

#ifndef PARSER_H
#define PARSER_H

#include "Point.h"
#include <vector>
#include <string>


class Parser {
public:
    Parser();
    Parser(const Parser& orig);
    virtual ~Parser();
    
    std::vector<Point> ParsePointformat(std::string filename);
    void WritePointstofile(std::string filename,std::vector<Point> points);
    void PrintFoci(std::vector<Point> points);
    
private:
    
};

#endif /* PARSER_H */

